# Generated by Django 3.2.16 on 2023-03-20 14:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0025_auto_20230222_1534'),
    ]

    operations = [
        migrations.AlterField(
            model_name='inforconfig',
            name='incoming_document_type',
            field=models.CharField(max_length=64, verbose_name='incoming document type'),
        ),
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('halley-cloud', 'halley-cloud'), ('maggioli', 'maggioli'), ('pitre', 'pitre'), ('insiel', 'insiel'), ('infor', 'infor'), ('d3', 'd3')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='D3Config',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('username', models.CharField(max_length=64, verbose_name='Username')),
                ('password', models.CharField(max_length=32, verbose_name='Password')),
                ('registry_url', models.URLField(verbose_name='Registry URL')),
                ('repository_id', models.CharField(max_length=64, verbose_name='Repository ID')),
                ('main_source_category', models.CharField(max_length=64, verbose_name='Main Source Category')),
                ('register_attachments', models.BooleanField(verbose_name='Include attachments in registration')),
                ('attachment_source_category', models.CharField(max_length=64, null=True, verbose_name='Attachment Source Category')),
                ('document_subtype', models.CharField(max_length=128, null=True, verbose_name='Document Subtype')),
                ('classification', models.CharField(max_length=128, null=True, verbose_name='Classification')),
                ('folder_name', models.CharField(help_text='The list of folder names is provided to the institution by the protocol manager, if omitted the default folder will be used', max_length=64, null=True, verbose_name='Folder name')),
                ('competent_service', models.CharField(max_length=254, verbose_name='Competent service')),
                ('visibility', models.CharField(max_length=254, null=True, verbose_name='Visibility')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='d3_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='d3config',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_d3config_unique_service_is_active_true'),
        ),
    ]
